LibreOffice: XPersistanceHolder Interface Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Public Member Functions | List of all members
XPersistanceHolder Interface Referencepublished

allows to disconnect an object from its persistence. More...

`import"XPersistanceHolder.idl";`

Inheritance diagram for XPersistanceHolder:

## Public Member Functions
void | disconnectPersistence () raises ( ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| disconnects the object from the persistence. More...
void | connectPersistance ([in] ::com::sun::star::io::XStream xStream) raises ( ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| connects the object to a persistence. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows to disconnect an object from its persistence.

## Member Function Documentation

## § connectPersistance()

void connectPersistance | ( | [in] ::com::sun::star::io::XStream | xStream | ) |
raises | ( | ::com::sun::star::io::IOException,
|  | ::com::sun::star::uno::Exception
| ) |  |

connects the object to a persistence.

Parameters

  xStream | a stream that specify the persistence

Exceptions

  com::sun::star::io::IOException | in case of io problems
  com::sun::star::uno::Exception | in case of other problems

## § disconnectPersistence()

void disconnectPersistence | ( |  | ) |
raises | ( | ::com::sun::star::io::IOException,
|  | ::com::sun::star::uno::Exception
| ) |  |

disconnects the object from the persistence.

Exceptions

  com::sun::star::io::IOException | in case of io problems
  com::sun::star::uno::Exception | in case of other problems

The documentation for this interface was generated from the following file:

- com/sun/star/embed/XPersistanceHolder.idl